interface CacheOptions {
    tags: string[];
    ttl?: number;
}
interface WebMethodOptions {
    cache?: CacheOptions;
}
declare type Method<Args extends any[], Return> = (...args: Args) => Return;
declare type WebMethod<Args extends any[], Return> = Method<Args, Promise<Awaited<Return>>>;
declare enum Permissions {
    Admin = "Admin",
    SiteMember = "SiteMember",
    Anyone = "Anyone"
}
declare const WEB_METHOD_OPTIONS_PROPERTY_NAME = "options";
declare const WEB_METHOD_PERMISSIONS_PROPERTY_NAME = "permission";
export { CacheOptions, WebMethodOptions, Method, WebMethod, Permissions, WEB_METHOD_OPTIONS_PROPERTY_NAME, WEB_METHOD_PERMISSIONS_PROPERTY_NAME, };
//# sourceMappingURL=index.d.ts.map